/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   PS/2 Keyboard driver
 * @license GPL-3.0-only
 */

#ifndef INITFS_H
#define INITFS_H

#include <limine.h>

int initfs_init(struct limine_file* tar_file);
int tar_lookup(unsigned char* archive, char* filename, char** out);
int tar_exists(const char* filename);
int tar_read(char* filename, char* out, int count, int offset);
void tar_list();

enum Seek {
    SEEK_SET,
    SEEK_CUR,
    SEEK_END
};

#endif